Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::SegmentInfoCollection Class Reference

A collection of SegmentInfo objects to be used as a base class for `SegmentInfos`. More...

`#include <SegmentInfoCollection.h>`

Inheritance diagram for Lucene::SegmentInfoCollection:

## Public Member Functions

| SegmentInfoCollection ()
virtual | ~SegmentInfoCollection ()
virtual String | getClassName ()
boost::shared_ptr< SegmentInfoCollection > | shared_from_this ()
int32_t | size ()
bool | empty ()
void | clear ()
void | add (const SegmentInfoPtr &info)
void | add (int32_t pos, const SegmentInfoPtr &info)
void | addAll (const SegmentInfoCollectionPtr &segmentInfos)
bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
int32_t | find (const SegmentInfoPtr &info)
bool | contains (const SegmentInfoPtr &info)
void | remove (int32_t pos)
void | remove (int32_t start, int32_t end)
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

Collection< SegmentInfoPtr > | segmentInfos
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Detailed Description

A collection of SegmentInfo objects to be used as a base class for `SegmentInfos`.

## Constructor & Destructor Documentation

## ◆ SegmentInfoCollection()

Lucene::SegmentInfoCollection::SegmentInfoCollection | ( |  | ) |

Referenced by _getClassName().

## ◆ ~SegmentInfoCollection()

virtual Lucene::SegmentInfoCollection::~SegmentInfoCollection | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::SegmentInfoCollection::_getClassName | ( |  | ) |

inline static

References SegmentInfoCollection().

## ◆ add() [1/2]

void Lucene::SegmentInfoCollection::add | ( | const SegmentInfoPtr & | info | ) |

## ◆ add() [2/2]

void Lucene::SegmentInfoCollection::add | ( | int32_t | pos,
|  | const SegmentInfoPtr & | info )

## ◆ addAll()

void Lucene::SegmentInfoCollection::addAll | ( | const SegmentInfoCollectionPtr & | segmentInfos | ) |

References segmentInfos.

## ◆ clear()

void Lucene::SegmentInfoCollection::clear | ( |  | ) |

## ◆ clone()

virtual LuceneObjectPtr Lucene::SegmentInfoCollection::clone | ( | const LuceneObjectPtr & | other = LuceneObjectPtr() | ) |

virtual

Return clone of this object.

Parameters

  other | clone reference - null when called initially, then set in top virtual override.

Reimplemented from Lucene::LuceneObject.

Reimplemented in Lucene::SegmentInfos.

## ◆ contains()

bool Lucene::SegmentInfoCollection::contains | ( | const SegmentInfoPtr & | info | ) |

## ◆ empty()

bool Lucene::SegmentInfoCollection::empty | ( |  | ) |

## ◆ equals()

bool Lucene::SegmentInfoCollection::equals | ( | const LuceneObjectPtr & | other | ) |

virtual

Return whether two objects are equal.

Reimplemented from Lucene::LuceneObject.

## ◆ find()

int32_t Lucene::SegmentInfoCollection::find | ( | const SegmentInfoPtr & | info | ) |

## ◆ getClassName()

virtual String Lucene::SegmentInfoCollection::getClassName | ( |  | ) |

inline virtual

Reimplemented in Lucene::SegmentInfos.

## ◆ remove() [1/2]

void Lucene::SegmentInfoCollection::remove | ( | int32_t | pos | ) |

## ◆ remove() [2/2]

void Lucene::SegmentInfoCollection::remove | ( | int32_t | start,
|  | int32_t | end )

## ◆ shared_from_this()

boost::shared_ptr< SegmentInfoCollection > Lucene::SegmentInfoCollection::shared_from_this | ( |  | ) |

inline

## ◆ size()

int32_t Lucene::SegmentInfoCollection::size | ( |  | ) |

## Field Documentation

## ◆ segmentInfos

Collection<SegmentInfoPtr> Lucene::SegmentInfoCollection::segmentInfos

protected

Referenced by addAll().

The documentation for this class was generated from the following file:

- SegmentInfoCollection.h

clucene.sourceforge.net